de.caff.util.settings.swing

## Class FixEditorProvider

- java.lang.Object
- - de.caff.util.settings.swing.AbstractBasicEditorProvider
  - - de.caff.util.settings.swing.FixEditorProvider

- All Implemented Interfaces:
    EditorProvider

      public class FixEditorProvider
      extends AbstractBasicEditorProvider

  Editor provider which just provides a fix text.
  Author:
    Rammi

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FixEditorProvider(java.lang.String baseTag, java.util.Locale l, java.lang.String fixText)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.swing.JComponent` | `getEditor()` Get an component for editing .
    `void` | `goodBye()` Called when the editor provider is no longer used.
    `void` | `reset()` Reset the value in the editor to the basic value.
    `void` | `save()` Set the basic value from the editor.

    - ### Methods inherited from class de.caff.util.settings.swing.AbstractBasicEditorProvider

      `getDescription, getLabel, getLabelText, getLabelTextWithPunctuation, getTitleText, getToolTipText, isValidValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FixEditorProvider

          public FixEditorProvider(@NotNull
                                   java.lang.String baseTag,
                                   @Nullable
                                   java.util.Locale l,
                                   @Nullable
                                   java.lang.String fixText)

      Constructor.
      Parameters:
        `baseTag` - base tag (will be expanded by various suffixes)
        `l` - locale
        `fixText` - fix text displayed in editor component

  - ### Method Detail

    - #### getEditor

          @NotNull
          public javax.swing.JComponent getEditor()

      Get an component for editing .
      Returns:
        editor component, use non-editing components like labels for fix properties

    - #### reset

          public void reset()

      Reset the value in the editor to the basic value.

    - #### save

          public void save()

      Set the basic value from the editor.

    - #### goodBye

          public void goodBye()

      Called when the editor provider is no longer used.